Invocar assistente (teste)
curl --request POST \
--url https://api.notifique.dev/v1/assistants/{id}/invoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "string",
"clientMessageId": "clxx...",
"threadId": "clxx...",
"userLocale": "string"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'string',
clientMessageId: 'clxx...',
threadId: 'clxx...',
userLocale: 'string'
})
};
fetch('https://api.notifique.dev/v1/assistants/{id}/invoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/assistants/{id}/invoke"
payload = {
"content": "string",
"clientMessageId": "clxx...",
"threadId": "clxx...",
"userLocale": "string"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/assistants/{id}/invoke"
payload := strings.NewReader("{\n \"content\": \"string\",\n \"clientMessageId\": \"clxx...\",\n \"threadId\": \"clxx...\",\n \"userLocale\": \"string\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {}
}Assistentes
Invocar assistente (teste)
Chat de teste com cobrança por mensagem. Escopo assistants:invoke.
POST
/
v1
/
assistants
/
{id}
/
invoke
Invocar assistente (teste)
curl --request POST \
--url https://api.notifique.dev/v1/assistants/{id}/invoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "string",
"clientMessageId": "clxx...",
"threadId": "clxx...",
"userLocale": "string"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'string',
clientMessageId: 'clxx...',
threadId: 'clxx...',
userLocale: 'string'
})
};
fetch('https://api.notifique.dev/v1/assistants/{id}/invoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/assistants/{id}/invoke"
payload = {
"content": "string",
"clientMessageId": "clxx...",
"threadId": "clxx...",
"userLocale": "string"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/assistants/{id}/invoke"
payload := strings.NewReader("{\n \"content\": \"string\",\n \"clientMessageId\": \"clxx...\",\n \"threadId\": \"clxx...\",\n \"userLocale\": \"string\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {}
}Autorizações
ntfAutoBearerAuthntfAutoApiKeyHeader
Authorization: Bearer sk_live_...
Parâmetros de caminho
Corpo
application/json
Esta página foi útil?

